# Function parse

Overload implementation.

#### Param: args

The function arguments.

- parse(input): number

- Parses a value into a number.

  #### Parameters

  - input: unknown

    The input to parse.

  #### Returns number

  A number corresponding to the input, or NaN if the input can't be parsed.

- parse(format, input): number

- Parses a value into a number.

  #### Parameters

  - format: string | string[]

    See ParseOptions.format.

  - input: unknown

    The input to parse.

  #### Returns number

  A number corresponding to the input, or NaN if the input can't be parsed.

- parse(options, input): number

- Parses a value into a number.

  #### Parameters

  - options: ParseOptions

    The options to use for parsing.

  - input: unknown

    The input to parse.

  #### Returns number

  A number corresponding to the input, or NaN if the input can't be parsed.